Page MenuHomePhabricator

rust: Add config parsing support for more value types
ClosedPublic

Authored by SimonSapin on Feb 17 2021, 7:58 AM.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

SimonSapin created this revision.Feb 17 2021, 7:58 AM
Alphare accepted this revision.Feb 18 2021, 4:33 AM
Alphare added a subscriber: Alphare.
Alphare added inline comments.
rust/hg-core/src/config/config.rs
261–262

Should private methods be under public ones for readability?

SimonSapin added inline comments.Feb 19 2021, 3:07 AM
rust/hg-core/src/config/config.rs
261–262

My thinking was to have this method near related methods (that call it). We could also separate private v.s. public, but isn’t rustdoc better than looking a source directly for a reader who’s interested in public APIs more than their implementation?

Alphare added inline comments.Feb 19 2021, 3:52 AM
rust/hg-core/src/config/config.rs
261–262

Either way is fine with me. I usually regroup it the same way you do, but I was asked last time to split them in public then private. Let's get democratic and see if anyone cares enough ;)

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.